
From: Andrew Morton <akpm@osdl.org>

Work around the gcc-2.95.x macro expansion bug.

Cc: Duncan Sands <baldrick@free.fr>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/usb/atm/usbatm.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/usb/atm/usbatm.h~gregkh-usb-usb-usbatm-1-fix drivers/usb/atm/usbatm.h
--- 25/drivers/usb/atm/usbatm.h~gregkh-usb-usb-usbatm-1-fix	2005-05-30 01:07:31.000000000 -0700
+++ 25-akpm/drivers/usb/atm/usbatm.h	2005-05-30 01:07:31.000000000 -0700
@@ -62,7 +62,8 @@
 
 /* FIXME: move to dev_* once ATM is driver model aware */
 #define atm_printk(level, instance, format, arg...)	\
-	printk(level "ATM dev %d: " format , (instance)->atm_dev->number, ## arg)
+	printk(level "ATM dev %d: " format ,		\
+	(instance)->atm_dev->number , ## arg)
 
 #define atm_err(instance, format, arg...)	\
 	atm_printk(KERN_ERR, instance , format , ## arg)
_
